import com.mashape.unirest.http.JsonNode;

import java.util.Scanner;

public class Console {
    Scanner in;

    public Console(){
        in = new Scanner(System.in);
    }

    public String readString(String message){
        System.out.println(message);
        return in.nextLine();
    }

    public void printAll(JsonNode body){
        System.out.println(body);
    }


    public String printMenu() {
        System.out.println("Enter 1 - create new user\n" +
                "2 - get all users\n" +
                "3 - send a new message\n" +
                "4 - see all messages\n" +
                "5 - update user information\n" +
                "6 - exit");
        return in.next();
    }
}
